Bug 82424 - Address uninitialized member variable issues to make Coverity happier
Summary: Address uninitialized member variable issues to make Coverity happier
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: kmadhusu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-27 21:47 PDT by kmadhusu
Modified: 2012-04-04 10:03 PDT (History)
8 users (show)

See Also:


Attachments
Patch (9.10 KB, patch)
2012-03-27 21:51 PDT, kmadhusu
no flags Details | Formatted Diff | Diff
Patch (9.12 KB, patch)
2012-04-04 09:06 PDT, kmadhusu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kmadhusu 2012-03-27 21:47:49 PDT
[Coverity] Address some uninitialized constructor values.
Comment 1 kmadhusu 2012-03-27 21:51:01 PDT
Created attachment 134216 [details]
Patch
Comment 2 kmadhusu 2012-03-27 21:54:37 PDT
Uploaded patch for review. While addressing the issues, I found some member variables not being used in the code. I have made changes to remove them.

Please review and let me know your comments.
Thanks.
Comment 3 kmadhusu 2012-04-02 13:09:03 PDT
Could someone review this?

Thanks.
Comment 4 Stephen White 2012-04-03 10:27:37 PDT
This looks fine to me, but I'd like to get some input from the people who actually work on these different parts of WebKit, just in case.  cc'ing kbr, cfleizach, hausmann, dslomov.
Comment 5 Kenneth Russell 2012-04-03 10:32:37 PDT
Comment on attachment 134216 [details]
Patch

The changes to ArrayBufferView and WebGLContextObject look fine.
Comment 6 Dmitry Lomov 2012-04-03 10:56:59 PDT
(In reply to comment #5)
> (From update of attachment 134216 [details])
> The changes to ArrayBufferView and WebGLContextObject look fine.

Ditto for DatabaseObserver and LocalFileSystemChromium
Comment 7 chris fleizach 2012-04-03 11:00:11 PDT
looks for to me in AccessibilitySpinButton
Comment 8 Stephen White 2012-04-04 07:50:31 PDT
Comment on attachment 134216 [details]
Patch

OK, that's 3 out of 4.  I'm calling that good enough.  r=me
Comment 9 kmadhusu 2012-04-04 09:06:21 PDT
Created attachment 135602 [details]
Patch
Comment 10 kmadhusu 2012-04-04 09:08:40 PDT
Stephen: Thanks for the reviewing the code. Can you please commit the changes? I uploaded a latest patch because of Change log conflicts.
Comment 11 Stephen White 2012-04-04 09:27:16 PDT
(In reply to comment #10)
> Stephen: Thanks for the reviewing the code. Can you please commit the changes? I uploaded a latest patch because of Change log conflicts.

Done.  Note that the commit queue will handle those conflicts automatically on landing.
Comment 12 kmadhusu 2012-04-04 09:30:45 PDT
Oh okay. Thanks for the info.
Comment 13 WebKit Review Bot 2012-04-04 10:03:30 PDT
Comment on attachment 135602 [details]
Patch

Clearing flags on attachment: 135602

Committed r113204: <http://trac.webkit.org/changeset/113204>
Comment 14 WebKit Review Bot 2012-04-04 10:03:34 PDT
All reviewed patches have been landed.  Closing bug.